NFSSERVCTL(2)

NAME
nfsservctl - syscall interface to kernel nfs daemon

SYNOPSIS
#include <linux/nfsd/syscall.h>

long nfsservctl(int cmd, struct nfsctl_arg *argp,
                union nfsctl_res *resp);

DESCRIPTION
/*
 * These are the commands understood by nfsctl().
 */
#define NFSCTL_SVC          0    /* This is a server process. */
#define NFSCTL_ADDCLIENT    1    /* Add an NFS client. */
#define NFSCTL_DELCLIENT    2    /* Remove an NFS client. */
#define NFSCTL_EXPORT       3    /* export a file system. */
#define NFSCTL_UNEXPORT     4    /* unexport a file system. */
#define NFSCTL_UGIDUPDATE   5    /* update a client's UID/GID map. */
#define NFSCTL_GETFH        6    /* get an fh (used by mountd) */
struct nfsctl_arg {
    int                       ca_version;     /* safeguard */
    union {
        struct nfsctl_svc     u_svc;
        struct nfsctl_client  u_client;
        struct nfsctl_export  u_export;
        struct nfsctl_uidmap  u_umap;
        struct nfsctl_fhparm  u_getfh;
        unsigned int          u_debug;
    } u;
}
union nfsctl_res {
        struct knfs_fh          cr_getfh;
        unsigned int            cr_debug;
};

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

CONFORMING TO
This call is Linux-specific.

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.